# Uses of Class
jebl.evolution.align.Align

Packages that use Align
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.

## Uses of Align in jebl.evolution.align

Subclasses of Align in jebl.evolution.align
Modifier and Type
Class
Description
`class`
`MaximalSegmentPair`
`class`
`NeedlemanWunsch`
`class`
`NeedlemanWunschAffine`
`class`
`NeedlemanWunschLinearSpace`
`class`
`NeedlemanWunschLinearSpaceAffine`
`class`
`NonOverlapMultipleLocalAffine`
Performs recursive local alignments.
`class`
`OldNeedlemanWunschAffine`
`class`
`OverlapAlign`
`class`
`SmithWaterman`
`class`
`SmithWatermanLinearSpace`
`class`
`SmithWatermanLinearSpaceAffine`
Methods in jebl.evolution.align with parameters of type Align
Modifier and Type
Method
Description
`void`
SequenceShuffler.`shuffle(Align algorithm, String sq1, String sq2, int numShuffles)`